#include <iostream>

using namespace std;

int main()
{
    int n,k,b,v=0;
    cin>>n>>k;
    int meta[2*n+1]={0};
    for(int i=0;i<n;i++)
    {
        cin>>b;
        meta[b+n]++;
    }
    for(int i=0;i<=2*n;i++)
        if(meta[i]>=k)v++;
    cout<<v<<endl;
    for(int i=0;i<=2*n;i++)
        if(meta[i]>=k)cout<<i-n<<" ";
    return 0;
}